# Class MultiHitPowerIncrementAttr

Attribute used for multi-hit moves that increase power in increments of the move's base power for each hit, namely Triple Kick and Triple Axel.

#### See

`apply`

#### Hierarchy (view full)

- VariablePowerAttr
  - MultiHitPowerIncrementAttr

- Defined in src/data/move.ts:3074

#####
Index

### Constructors

constructor

### Properties

maxHits
selfTarget

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new MultiHitPowerIncrementAttr(maxHits): MultiHitPowerIncrementAttr

- #### Parameters

  - maxHits: number

  #### Returns MultiHitPowerIncrementAttr

  Overrides VariablePowerAttr.constructor

  - Defined in src/data/move.ts:3078

## Properties

### `Private` maxHits

maxHits: number

The max number of base power increments allowed for this move

- Defined in src/data/move.ts:3076

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from VariablePowerAttr.selfTarget

- Defined in src/data/move.ts:718

## Methods

### apply

- apply(user, target, move, args): boolean

- Increases power of move in increments of the base power for the amount of times the move hit. In the case that the move is extended, it will circle back to the original base power of the move after incrementing past the maximum amount of hits.

  #### Parameters

  - user: default

    `Pokemon` that used the move

  - target: default

    `Pokemon` that the move was used on

  - move: default

    `Move` with this attribute

  - args: any[]

    [0] `Utils.NumberHolder` for final calculated power of move

  #### Returns boolean

  true if attribute application succeeds

  Overrides VariablePowerAttr.apply

  - Defined in src/data/move.ts:3095

### getCondition

- getCondition(): MoveCondition | MoveConditionFunc

- #### Returns MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from VariablePowerAttr.getCondition

  - Defined in src/data/move.ts:742

### getFailedText

- getFailedText(user, target, move, cancelled): string

- #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - cancelled: BooleanHolder

    `Utils.BooleanHolder` which stores if the move should fail

  #### Returns string

  the string representing failure of this `Move`

  Inherited from VariablePowerAttr.getFailedText

  - Defined in src/data/move.ts:754

### getTargetBenefitScore

- getTargetBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from VariablePowerAttr.getTargetBenefitScore

  - Defined in src/data/move.ts:772

### getUserBenefitScore

- getUserBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from VariablePowerAttr.getUserBenefitScore

  - Defined in src/data/move.ts:763